Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed with the default qt4 gui

Bug #805303 reported by Doug McMahon
830
This bug affects 180 people
Affects Status Importance Assigned to Milestone
Ubuntu
Critical
Unassigned
Oneiric
Critical
Unassigned
qt4-x11 (Ubuntu)
Critical
Unassigned
Oneiric
Critical
Unassigned
xorg-server (Ubuntu)
Critical
Unassigned
Oneiric
Critical
Unassigned

Bug Description

 vlc will hang when trying to open anything additional - it also appears to crash unity-window-decorator among other things (have crash report on that)
Ex.'s - the playlist, tools > preferences and so forth

Switching the qt4 gui to anything but 'default' (gtk+) in qtconfig-qt4 and it works without incidence (tooltips are empty bit otherwise good).

Will attach xsession.errors, reflects a login, opening vlc, opening xsession.errors, then attempting to open playlist window in vlc.
(using nvidia-current)

Note to Vlc users - I've found clearlooks to be best choice, should be good for other apps as well. Also do as mentioned in comment 13

Note to Anki users - please review comments 20, 22 for current workaround

This happens with many Qt4 and PyQt4 applications.
Some errors displayed (from comments 16 and 18):

(python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed
(python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed

QWidget::setMinimumSize: (/MainWindow) The largest allowed size is (16777215,16777215)

X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id: 0x0
X Error: BadAlloc (insufficient resources for operation) 11
  Major opcode: 53 (X_CreatePixmap)
  Resource id: 0x15a
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension: 152 (RENDER)
  Minor opcode: 4 (RenderCreatePicture)
  Resource id: 0x42004f6
X Error: RenderBadPicture (invalid Picture parameter) 174
  Extension: 152 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id: 0x42004f6
X Error: BadPixmap (invalid Pixmap parameter) 4
  Major opcode: 54 (X_FreePixmap)
  Resource id: 0x42004f6

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: vlc 1.1.10-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-9.43lp760131v201106060906-generic 2.6.38.7
Uname: Linux 2.6.38-9-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Sun Jul 3 23:23:42 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110202)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: vlc
UpgradeStatus: Upgraded to oneiric on 2011-07-03 (1 days ago)

Revision history for this message
Doug McMahon (mc3man) wrote :
Revision history for this message
Rémi Denis-Courmont (rdenis) wrote :

This is a bug with the Qt4 theme, not with VLC. Please reassign.

Changed in vlc (Ubuntu):
status: New → Incomplete
Revision history for this message
Doug McMahon (mc3man) wrote :

This is my best guess, still an issue with vlc 1.1.11

affects: vlc (Ubuntu) → qt4-x11 (Ubuntu)
Changed in qt4-x11 (Ubuntu):
status: Incomplete → New
Changed in qt4-x11 (Ubuntu):
status: New → Confirmed
Revision history for this message
Simon Allen (garfunkel) wrote :

I also have this issue with a PyQt application I have written (A guitar synthesiser). As well as the window becoming really large (and causing compiz/unity to crash) as soon as the application is started, X begins to use 100% of CPU.

Revision history for this message
chrisle (chrisle) wrote :

Hi,

workaround: install qtconfig-qt4 and change gui style to motif.

The GTK+ style seems to be the trigger of this bug.

Revision history for this message
Fabrice Coutadeur (fabricesp) wrote :

Hi,

The workaround also works with calibre (see bug #812258), that is heavily impacted by this bug.

Increasing the importance as it makes unusable several applications and make the system unable to restart cleanly (tested in a VM, I had to recover a previous snapshot).

Fabrice

Changed in qt4-x11 (Ubuntu):
importance: Undecided → Critical
importance: Critical → High
Revision history for this message
Doug McMahon (mc3man) wrote :

Just wanted to add. note that unity-2d & gnome-shell, while not quite as affected as unity, also show poor behavior (at least here
attached screen of vlc in playlist view in unity-2d, note that the window extends ad-infinitum to the bottom

Revision history for this message
Heimen Stoffels (vistaus) wrote :

It also happens with hplip-gui,

Revision history for this message
Tom Hindle (3-launchpad-hindlemail-co-uk) wrote :

This also occurs with thg , however using the workaround does not fix the issue for thg.

Revision history for this message
Christian Reis (kiko) wrote :

This also affects GoldenCheetah; checking to see if changing theme works...

Well, changing the theme to Motif does something, but in Unity 2D metacity still keeps crashing. This isn't looking promising.

Revision history for this message
Christian Reis (kiko) wrote :

Actually, setting the theme to Clearlooks made the application behave properly, at least under the legacy Gnome 2 install running metacity. Still going to check on Unity proper.

Revision history for this message
Christian Reis (kiko) wrote :

Yep, works fine under Unity. So it's definitely got to do with the Qt theme.

Doug McMahon (mc3man)
tags: added: gnome-shell
Revision history for this message
Doug McMahon (mc3man) wrote :

SUPPORT NOTE FOR VLC USERS:
If affected by this, after changing the gui theme in qtconfig-qt4 you must also remove this file to regain 'proper ' use again
~/.config/vlc/vlc-qt-interface.conf

Revision history for this message
Doug McMahon (mc3man) wrote :

There was a major upgrade of qt4-x11 today to 4:4.7.4-0ubuntu1, the,result -
No better, possibly even worse in unity (3d
If this can't be fixed then it should be included in the release notes with at least a short lost of affected apps as not all qt4 are. (vlc certainly is and is a fairly popular add-on app

Revision history for this message
Doug McMahon (mc3man) wrote :

Error on Beta 1 updated, opening vlc playlist w/ new qt4-x11 libs
(vlc:1700): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed
compiz (opengl) - Info: Couldn't bind redirected window 0x1c00013 to texture

compiz (opengl) - Info: Couldn't bind redirected window 0x1c00013 to texture

X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 59 (X_SetClipRectangles)
  Resource id: 0x1c004c5
ect. ect.

Revision history for this message
theghost (theghost) wrote :

This seems also to affect MusicBrainzPicard on my system. Running via terminal i got the following errors:

-----------
"(python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed

(python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed
QWidget::setMinimumSize: (/MainWindow) The largest allowed size is (16777215,16777215)
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id: 0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id: 0x0"
-------------

I would also like to mention, that in Unity-3D the whole RAM is used and the system starts to write the swap full until the whole system is unusable, where in Unity-2D the RAM usage raises per 1GB and picard's window is drawn wrong.

Running this picard in unity-2d mostly produces the error above, but surprisingly a few times it works without flaws.

Revision history for this message
theghost (theghost) wrote :

This is also an issue running "calibre". The whole systems becomes unusable and hangs.

Revision history for this message
Felix (apoapo) wrote :

I would like to enclose my error.log for calibre. Generated on 64 bits oneriric.

The X failure part is in the middle of the file.

Doug McMahon (mc3man)
description: updated
Revision history for this message
Dmitry Shachnev (mitya57) wrote :

Happens with ReText (https://launchpad.net/retext) also.

description: updated
summary: - vlc : Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion
- `GTK_IS_WIDGET (widget)' failed with the default qt4 gui
+ Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET
+ (widget)' failed with the default qt4 gui
tags: removed: gnome-shell running-unity unity-2d
Revision history for this message
rnsmith2 (rnsmith2) wrote :
Revision history for this message
Holger Knust (hknust) wrote :

Tried the workaround suggested by rnsmith2 with no effect on Anki problem.

Revision history for this message
rnsmith2 (rnsmith2) wrote :

Holger, try purging all configuration files for anki (I believe located in your home folder in .anki) and then try the fix again. I know some people said that was necessary to fix the problem in VLC. My config problems were already purged (really I had uninstalled and deleted everything remotely related to Anki except for my deck and media files in an attempt to fix this earlier), so that might be a step I'm missing in my fix. If that does work for you would you post the update to the Anki Google group for me as well? And if it doesn't fix the problem, I'll try to think of something else.

Revision history for this message
dave pretty (david-pretty) wrote : Re: [Bug 805303] Re: Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed with the default qt4 gui

The rnsmith2 workaround does work for me (wrt Anki). I selected the
motif theme in qtconfig.

On 15 September 2011 08:50, Holger Knust <email address hidden> wrote:
> Tried the workaround suggested by rnsmith2 with no effect on Anki
> problem.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/805303
>
> Title:
>  Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET
>  (widget)' failed with the default qt4 gui
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/805303/+subscriptions
>

--
Dr. David Pretty
Plasma Research Laboratory
Bldg 60, Research School of Physics and Engineering
The Australian National University
Canberra ACT 0200 AUSTRALIA

Revision history for this message
Holger Knust (hknust) wrote :

I deleted the .anki folder et voila, it worked. Thanks for the workaround and the additional help!

Doug McMahon (mc3man)
description: updated
Revision history for this message
Aurélien Gâteau (agateau) wrote :

I tried to reproduce this bug with vlc, calibre and anki but could not. Does it still happen for any of you with libqtgui4 version 4:4.7.4-0ubuntu2? If so, can you try this?
- make a copy of the config files (.anki folder for anki, .config/vlc/vlc-qt-interface.conf)
- delete them
- check if it "fixes" the bug
- if it does, attach the config files to this report

Changed in qt4-x11 (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Dmitry Shachnev (mitya57) wrote :

@agateau:
I've written a simple test-case PyQt script (https://launchpadlibrarian.net/79590491/test_v2.py), and it still works for me.

Changed in qt4-x11 (Ubuntu):
status: Incomplete → Opinion
status: Opinion → Confirmed
Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Can there be any relationship/dpendency between this bug and bug 813230?

Revision history for this message
Doug McMahon (mc3man) wrote :

It still happens with vlc using the current qt4-x11, as noted in comments 14 & 15
Will attach the qt config file for vlc - if needed I'll point out the specific area.

Though deleting the config does not fix the issue, Only changing the gui does. (& then deleting the config does fix vlc.

As note in orig. description that this affects vlc when doing certain things, not particularly just opening vlc -

"vlc will hang when trying to open anything additional - it also appears to crash unity-window-decorator among other things (have crash report on that)
Ex.'s - the playlist, tools > preferences and so forth"
The unity-window-decorator crash was relevant 10 weeks ago, no longer is.

Revision history for this message
Doug McMahon (mc3man) wrote :

After switching the qt gui, deleting vlc's config this is a good config and vlc works as expected

If I replace this one with the one produced with the gtk+ gui attached previously then vlc will open in a borked state

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Following comment #5 and #13 I get the HPLIP GUI tools working again. So bug 813230 seems to be the same as this one.

Changed in xorg-server (Ubuntu):
importance: Undecided → Critical
status: New → Confirmed
milestone: none → ubuntu-11.10
Changed in qt4-x11 (Ubuntu):
importance: High → Critical
tags: added: rls-mgr-o-tracing
Revision history for this message
Francis J. Lacoste (flacoste) wrote :

Another PyQT app affected: qbzr (see bug #851379)

tags: added: rls-mgr-o-tracking
removed: rls-mgr-o-tracing
Changed in xorg-server (Ubuntu Oneiric):
status: Confirmed → Invalid
Revision history for this message
Chris Halse Rogers (raof) wrote :

Running “bzr qdiff” under xtrace, we get
… lots of verbosity …
000:<:0125: 20: Request(12): ConfigureWindow window=0x02400010 values={width=65535 height=65535}
… lots more verbosity …

This does not appear to be an X server problem; it looks like Qt is asking for an insanely-sized window, and then being surprised when it can't render to its 16.4 GB window.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

I am still scratching my head trying to reproduce this bug, or at least spot the difference between my system and yours.

I am running Oneiric 64bit, could it be the difference? Does anyone of you is able to reproduce this bug on a 64bit version of Oneiric (note: I mean a 64 bit OS, not a 64 processor) or are you all running Oneiric 32bit?

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I'm running 64bit oneiric, and 'picard' is the app that is causing problems here.

Revision history for this message
Francis J. Lacoste (flacoste) wrote :

I'm also running 64bit oneiric, and qbzr is a 64bit app causing problems.

Revision history for this message
Francis J. Lacoste (flacoste) wrote :

(Well, bzr is a python program so not in itself 64bits, but the python interpreter and the dependencies libraries should be using the 64bits packages.)

Revision history for this message
ngsupb (ngsupb) wrote :

I have this bug and seems can reproduce it. May I help somehow to solve it?

Revision history for this message
Doug McMahon (mc3man) wrote :

While the orig. bug was filed on a 32 bit desktop & am currently using a 32 bit install on a laptop just booted to todays daily 64 bit
Installed vlc, tried to open the playlist & easily seen.
Terminal showed errors as in descript (X Errors), .xsessions shows 1000's of
"compiz (opengl) - Info: Couldn't bind redirected window 0x3800006 to texture"
use of the session degraded as in screenshot attached

Also did again produce a unity-window-decorator crash - can be seen here if needed
Bug 853897

This has been occurring on various machines since late June, dozens of fresh installs on a weekly basis
The only thing these machines have in common is nvidia display adapters

Revision history for this message
Francis J. Lacoste (flacoste) wrote :

Since I have that problem on a Intel mobility card, I'd rule out the video driver (or it's a common issue to nvidia / i915, which makes it less likely.)

Revision history for this message
rnsmith2 (rnsmith2) wrote :

I have this problem on both a 32bit laptop with an ATI radeon card, and a 64bit with an intel mobility card.

Didier Roche (didrocks)
Changed in qt4-x11 (Ubuntu Oneiric):
milestone: none → ubuntu-11.10
Changed in qt4-x11 (Ubuntu Oneiric):
status: Confirmed → In Progress
tags: added: patch
Changed in qt4-x11 (Ubuntu Oneiric):
status: In Progress → Fix Released
Changed in qt4-x11 (Ubuntu Oneiric):
status: Fix Released → Triaged
Changed in xorg-server (Ubuntu Oneiric):
status: Invalid → New
Changed in xorg-server (Ubuntu Oneiric):
status: New → Invalid
Andrea Cimitan (cimi)
Changed in overlay-scrollbar (Ubuntu Oneiric):
status: New → Invalid
Changed in overlay-scrollbar (Ubuntu Oneiric):
status: Invalid → Confirmed
44 comments hidden view all 124 comments
Revision history for this message
Rémi Denis-Courmont (rdenis) wrote :

That's not right. Other threads in VLC do call getenv() too, for instance through libdbus or XCB, not just the Qt UI thread.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Update of overlay_scrollbar gtk patch which exposes a function to disable overlay scrollbars.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Updated Qt patch which takes advantage of the function introduced in 100_overlay_scrollbar_loading.patch to disable overlay scrollbars.

1 comments hidden view all 124 comments
Revision history for this message
Aurélien Gâteau (agateau) wrote :

Le 28/09/2011 12:05, Rémi Denis-Courmont a écrit :
> That's not right. Other threads in VLC do call getenv() too, for
> instance through libdbus or XCB, not just the Qt UI thread.
>
Just realized I misunderstood what you said. Indeed this would not be
threadsafe.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

The two patches should nail this bug for good. Note that the bug won't be fix until both patches are in, as the GTK patch exposes a function which the Qt patch uses. It should not be a problem if the Qt patch lands first though, as the Qt code checks for the presence of the new function before using it.

Changed in gtk+2.0 (Ubuntu Oneiric):
assignee: nobody → Ken VanDine (ken-vandine)
milestone: none → ubuntu-11.10
status: New → Triaged
importance: Undecided → Critical
1 comments hidden view all 124 comments
Revision history for this message
Ken VanDine (ken-vandine) wrote :

The GTK patch makes these changes to the symbols, does anything we know of use them?

@@ -4728,11 +4728,11 @@
  gtk_window_unstick@Base 2.8.0
  gtk_wrap_mode_get_type@Base 2.8.0
  hildon_gtk_file_chooser_install_properties@Base 2.10.0
- ubuntu_gtk_hscrollbar_init@Base 2.24.5-0ubuntu2
+ ubuntu_gtk_get_use_overlay_scrollbar@Base 2.24.6-0ubuntu4
  ubuntu_gtk_menu_shell_activate_first@Base 2.23.90
  ubuntu_gtk_menu_shell_activate_mnemonic@Base 2.21.6-1ubuntu5.1
- ubuntu_gtk_scrolled_window_init@Base 2.24.3-0ubuntu5
- ubuntu_gtk_vscrollbar_init@Base 2.24.5-0ubuntu2
+ ubuntu_gtk_overlay_scrollbar_new@Base 2.24.6-0ubuntu4
+ ubuntu_gtk_set_use_overlay_scrollbar@Base 2.24.6-0ubuntu4
  ubuntu_gtk_widget_set_has_grab@Base 2.21.6-1ubuntu3
  ubuntu_menu_proxy_activate_menu@Base 2.21.6-1ubuntu5.1
  ubuntu_menu_proxy_get@Base 2.21.1-1ubuntu2

Changed in gtk+2.0 (Ubuntu Oneiric):
assignee: Ken VanDine (ken-vandine) → Andrea Cimitan (cimi)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt4-x11 - 4:4.7.4-0ubuntu6

---------------
qt4-x11 (4:4.7.4-0ubuntu6) oneiric; urgency=low

  * debian/patches/notify_qml_name_description_change.diff:
    - upstream fix to notify in QML of name/description change for
      accessiblity (LP: #854516)
  * debian/patches/kubuntu_93_disable_overlay_scrollbars.diff:
    - update to a better french fix for Qt apps crashing under the default
      ubuntu theme (LP: #805303)
 -- Didier Roche <email address hidden> Wed, 28 Sep 2011 17:34:20 +0200

Changed in qt4-x11 (Ubuntu Oneiric):
status: Triaged → Fix Released
Revision history for this message
Aurélien Gâteau (agateau) wrote :

Le 28/09/2011 22:49, Ken VanDine a écrit :
> The GTK patch makes these changes to the symbols, does anything we know
> of use them?
>
> @@ -4728,11 +4728,11 @@
> gtk_window_unstick@Base 2.8.0
> gtk_wrap_mode_get_type@Base 2.8.0
> hildon_gtk_file_chooser_install_properties@Base 2.10.0
> - ubuntu_gtk_hscrollbar_init@Base 2.24.5-0ubuntu2
> + ubuntu_gtk_get_use_overlay_scrollbar@Base 2.24.6-0ubuntu4
> ubuntu_gtk_menu_shell_activate_first@Base 2.23.90
> ubuntu_gtk_menu_shell_activate_mnemonic@Base 2.21.6-1ubuntu5.1
> - ubuntu_gtk_scrolled_window_init@Base 2.24.3-0ubuntu5
> - ubuntu_gtk_vscrollbar_init@Base 2.24.5-0ubuntu2
> + ubuntu_gtk_overlay_scrollbar_new@Base 2.24.6-0ubuntu4
> + ubuntu_gtk_set_use_overlay_scrollbar@Base 2.24.6-0ubuntu4
> ubuntu_gtk_widget_set_has_grab@Base 2.21.6-1ubuntu3
> ubuntu_menu_proxy_activate_menu@Base 2.21.6-1ubuntu5.1
> ubuntu_menu_proxy_get@Base 2.21.1-1ubuntu2

As far as I know, the old symbols were only used internally by our
overlay scrollbar GTK patch.

Regarding the new symbols, at least ubuntu_gtk_overlay_scrollbar_new()
could be marked hidden. The new overlay scrollbar patch uses this
function in 3 places within GTK so it can't be made static, but its
visibility could be changed so that it is not exposed to the outside
world. I am going to mark it as G_GNUC_INTERNAL.

ubuntu_gtk_set_use_overlay_scrollbar() must be kept visible, as it is
used by the Qt patch. For consistency I think
ubuntu_gtk_get_use_overlay_scrollbar() should be kept as well.

Aurélien

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Here is a slightly modified gtk patch which does not expose the ubuntu_gtk_overlay_scrollbar_new(), as explained in comment #92

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

As qt4-x11 4.7.4-0ubuntu6 arrived in an update, I logged out and logged in again and then tried to open the Settings window of the hp-systray menu. hp-systray still crashes (so it would still need "LIBOVERLAY_SCROLLBAR=0"). So qt4-x11 alone does not help for hp-systray. Which of the other two is also needed (overlay-scrollbar, gtk+2.0)?

Revision history for this message
Martin Pitt (pitti) wrote :

I also still get metacity/vlc crashes with the new Qt. I see:

  QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)

Revision history for this message
Andrea Cimitan (cimi) wrote :
Download full text (3.5 KiB)

you need BOTH qt and gtk... but if this still crashes, we could fix
qgtkstyle?
Il giorno 29/set/2011 11:05, "Martin Pitt" <email address hidden> ha
scritto:
> I also still get metacity/vlc crashes with the new Qt. I see:
>
> QWidget::setMinimumSize: (/MainInterface) The largest allowed size is
> (16777215,16777215)
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/805303
>
> Title:
> Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET
> (widget)' failed with the default qt4 gui
>
> Status in “gtk+2.0” package in Ubuntu:
> Triaged
> Status in “overlay-scrollbar” package in Ubuntu:
> Confirmed
> Status in “qt4-x11” package in Ubuntu:
> Fix Released
> Status in “xorg-server” package in Ubuntu:
> Invalid
> Status in “gtk+2.0” source package in Oneiric:
> Triaged
> Status in “overlay-scrollbar” source package in Oneiric:
> Confirmed
> Status in “qt4-x11” source package in Oneiric:
> Fix Released
> Status in “xorg-server” source package in Oneiric:
> Invalid
>
> Bug description:
> vlc will hang when trying to open anything additional - it also appears to
crash unity-window-decorator among other things (have crash report on that)
> Ex.'s - the playlist, tools > preferences and so forth
>
> Switching the qt4 gui to anything but 'default' (gtk+) in qtconfig-qt4
> and it works without incidence (tooltips are empty bit otherwise
> good).
>
> Will attach xsession.errors, reflects a login, opening vlc, opening
xsession.errors, then attempting to open playlist window in vlc.
> (using nvidia-current)
>
> Note to Vlc users - I've found clearlooks to be best choice, should be
> good for other apps as well. Also do as mentioned in comment 13
>
> Note to Anki users - please review comments 20, 22 for current
> workaround
>
> This happens with many Qt4 and PyQt4 applications.
> Some errors displayed (from comments 16 and 18):
>
> (python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion
`GTK_IS_WIDGET (widget)' failed
> (python:2901): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion
`GTK_IS_WIDGET (widget)' failed
>
> QWidget::setMinimumSize: (/MainWindow) The largest allowed size is
> (16777215,16777215)
>
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
> Major opcode: 62 (X_CopyArea)
> Resource id: 0x0
> X Error: BadAlloc (insufficient resources for operation) 11
> Major opcode: 53 (X_CreatePixmap)
> Resource id: 0x15a
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
> Extension: 152 (RENDER)
> Minor opcode: 4 (RenderCreatePicture)
> Resource id: 0x42004f6
> X Error: RenderBadPicture (invalid Picture parameter) 174
> Extension: 152 (RENDER)
> Minor opcode: 8 (RenderComposite)
> Resource id: 0x42004f6
> X Error: BadPixmap (invalid Pixmap parameter) 4
> Major opcode: 54 (X_FreePixmap)
> Resource id: 0x42004f6
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: vlc 1.1.10-1ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-9.43lp760131v201106060906-generic
2.6.38.7
> Uname: Linux 2.6.38-9-generic i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> Date: Sun Jul 3 23:23:42 2011
> InstallationMedia: Ubuntu 11.04 ...

Read more...

Changed in gtk+2.0 (Ubuntu Oneiric):
assignee: Andrea Cimitan (cimi) → Ken VanDine (ken-vandine)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.24.6-0ubuntu4

---------------
gtk+2.0 (2.24.6-0ubuntu4) oneiric; urgency=low

  * debian/patches/100_overlay_scrollbar_loading.patch
    - Fix a crasher in Qt apps using gtk style caused by the overlay
      scrollbars (LP: #805303)
  * debian/libgtk2.0-0.symbols
    - Updated symbols from 100_overlay_scrollbar_loading.patch
 -- Ken VanDine <email address hidden> Wed, 28 Sep 2011 11:43:38 -0400

Changed in gtk+2.0 (Ubuntu Oneiric):
status: Triaged → Fix Released
Changed in gtk+2.0 (Ubuntu Oneiric):
assignee: Ken VanDine (ken-vandine) → nobody
Revision history for this message
Martin Pitt (pitti) wrote :

Unfortuantely even with new qt and gtk+2.0 the metacity crash in bug 848808 with overlay-scrollbars still persists.

Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Also for me: the hp-systray crash is still there.

Revision history for this message
Dmitry Pankratov (dremon) wrote :

vlc doesn't work either.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

My mistake.

TL;DR: Qt patch was wrong. This new version should work.

Longer explanation:
I first added a function named ubuntu_gtk_disable_overlay_scrollbars() to GTK2, and this is what the current Qt patch uses. Later I decided it was more elegant to instead expose two functions: ubuntu_gtk_set_use_overlay_scrollbars() and ubuntu_gtk_get_use_overlay_scrollbars(). I correctly updated my build of Qt to use these new functions, but forgot to refresh the patch before attaching it.

If you look for me I will be under that large brown paper bag in the corner.

Didier Roche (didrocks)
Changed in qt4-x11 (Ubuntu Oneiric):
status: Fix Released → Triaged
Revision history for this message
Andrea Cimitan (cimi) wrote :

haha nice answer Aurélien :) but you rock in any case!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt4-x11 - 4:4.7.4-0ubuntu8

---------------
qt4-x11 (4:4.7.4-0ubuntu8) oneiric; urgency=low

  * debian/patches/kubuntu_93_disable_overlay_scrollbars.diff:
    - using the new and correct gtk symbols (LP: #805303)
 -- Didier Roche <email address hidden> Fri, 30 Sep 2011 11:46:32 +0200

Changed in qt4-x11 (Ubuntu Oneiric):
status: Triaged → Fix Released
Revision history for this message
Fabrice Coutadeur (fabricesp) wrote :

Fix confirmed with calibre: it runs fine after latest update.

Thanks!

Fabrice

Revision history for this message
crtm (carlosrtm) wrote :

Fix confirmed for me too with calibre: it runs fine after latest update.
Thanks!

Revision history for this message
Julian Alarcon (julian-alarcon) wrote :

Fix confirmed in VLC with last updates from oneiric ;)

Martin Pitt (pitti)
Changed in overlay-scrollbar (Ubuntu Oneiric):
status: Confirmed → Invalid
Revision history for this message
EricDHH (ericdhh) wrote :

Oneiric beta amd64, packages today 13 october.

Nothing is fixed here, opening vlc was the last before the system needs a hard shutdown or reset.

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Le 13/10/2011 13:50, EricDHH a écrit :
> Oneiric beta amd64, packages today 13 october.
>
> Nothing is fixed here, opening vlc was the last before the system needs
> a hard shutdown or reset.
>
That is really strange. Maybe one of necessary packages is outdated? You
need libqtgui4 >= 4:4.7.4-0ubuntu8 and libgtk2.0-0 >= 2.24.6-0ubuntu4
for the bug to go away.

Aurélien

Revision history for this message
Doug McMahon (mc3man) wrote :

EricDHH -
in addition to being fully updated you need to delete ~/.config/vlc/vlc-qt-interface.conf or it will keep occuring

Revision history for this message
EricDHH (ericdhh) wrote :

Yes that's it, my suggestion is a script that clears out this config by update. Thanks!

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Le 17/10/2011 17:01, EricDHH a écrit :
> Yes that's it, my suggestion is a script that clears out this config by
> update. Thanks!
>
Unfortunately we can't do that automatically: packages are not allowed
to modify user configuration files at upgrade.

My guess on what goes wrong is that when vlc was started with versions
of qt and gtk older than the ones I mentioned, it stored a huge window
size before dying. Now that it is started again, it tries to resize the
window to the stored size and dies again.

I don't think the config file can go wrong for stable-only users (ie
users who did not use vlc with qt and gtk from Oneiric alpha or beta) so
that should limit the affected users to people who are more
computer-savvy and can find this bug report. If stable-only users are
affected, we could however patch vlc to limit the size of the restored
window.

Revision history for this message
Night Train (nighttrain) wrote :

hi guys

i have the same problems with vlc (but no with calibre, installed from script) on natty 64 bit

what solution I can adopt to resolve?

from repository:
libqtgui4 is 4:4.4.7.2-0ubuntu6.3
and
libgtk2.0-0 is 2.24.4-0ubuntu2+overlayscrollbar2

I can hope in a backport?

or the sole solution is use qt4-qtconfig?

many thanks

night train

Revision history for this message
Dmitry Shachnev (mitya57) wrote :

You may want to purge a PPA from which you installed your Gtk (using ppa-purge).

Revision history for this message
Night Train (nighttrain) wrote :

no backports for natty?

if i setup qt4-config to cleanlooks, then i have problems with tooltips unreadable and unmodifiable

if i setup gtk+, then the problems with vlc remaining

please help me

thanks

night train

Revision history for this message
Night Train (nighttrain) wrote :

besides vlc also flacon (https://launchpad.net/~flacon/+archive/ppa) has problems, rather it is not started even

terminal:
user@user-pc:~$ flacon

(<unknown>:7400): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed

... a lot of lines so, poi ...

(<unknown>:7400): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed
QWidget::setMinimumSize: (mainWindow/Flacon) The largest allowed size is (16777215,16777215)

... all repeats itself until that I do not "kill" the process
(with swapoff -a, otherwise the system itself block)

the problem on oneiric is resolved?

please a solution also for natty

many thanks

night train

Revision history for this message
Aurélien Gâteau (agateau) wrote :

Le 07/11/2011 17:20, Night Train a écrit :

> please a solution also for natty

I don't think there will be a natty backport (at least I am not going to
do it). What you can do is either:

- Uninstall the overlay-scrollbar package
- Switch to a style which is not affected by the bug and does not have
the tooltip issue. I think Plastique should work fine.

no longer affects: overlay-scrollbar (Ubuntu Oneiric)
no longer affects: overlay-scrollbar (Ubuntu)
Revision history for this message
Doug McMahon (mc3man) wrote :

This has re-emerged in the current state of 12.10, though in a more limited fashion.
(have nvidia card here

Seen clearly by opening vlc & going either
Media > open disc
or
Tools > Preferences > clicking on 'Show settings > all'
If it doesn't occur the 1st time, then repeat
Removing overlay-scrollbar* & this doesn't occur, or switching qt to another gui like cleanlooks, just like before
(if removing overlay-scrollbar* to test make sure all 3 packages are removed or you'll not be happy

May be best to wait for A1 to re-open or file new?

Revision history for this message
Doug McMahon (mc3man) wrote :

Just to fill in -
LIBOVERLAY_SCROLLBAR=0 vlc again prevents any bad behavior

So pretty much the same as before, only diff is the affected vlc windows are an impossible width, last time it was height - ex. of Media > Open Disc. (Open Media), window

xwininfo: Window id: 0x1e0004b "Open Media"

  Absolute upper-left X: -7566
  Absolute upper-left Y: 367
  Relative upper-left X: 3
  Relative upper-left Y: 3
  Width: 16383
  Height: 421
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners: +-7566+367 --7537+367 --7537-12 +-7566-12
  -geometry 16383x421+-7569-2

Revision history for this message
Rémi Denis-Courmont (rdenis) wrote :

I would open a new bug and a comment referencing this one. The root cause is probably slightly different now, so reopening would bring confusion.

Revision history for this message
Joe Linux (j-linux) wrote :

Bonjour,

Thank you for your reply and suggestion but I have moved from Ubuntu
11.10 to 12.04.
I will see if VLC is more stable in this version.
Regards.
Joe

Le 27/05/2012 23:10, Doug McMahon a écrit :
> This has re-emerged in the current state of 12.10, though in a more limited fashion.
> (have nvidia card here
>
> Seen clearly by opening vlc& going either
> Media> open disc
> or
> Tools> Preferences> clicking on 'Show settings> all'
> If it doesn't occur the 1st time, then repeat
> Removing overlay-scrollbar*& this doesn't occur, or switching qt to another gui like cleanlooks, just like before
> (if removing overlay-scrollbar* to test make sure all 3 packages are removed or you'll not be happy
>
> May be best to wait for A1 to re-open or file new?
>

Revision history for this message
Joe Linux (j-linux) wrote :

Bonjour,

As wrote few minutes ago...
Thank you for your reply and suggestion but I have moved from Ubuntu
11.10 to 12.04.
I will see if VLC is more stable in this version.
Regards.
Joe

Le 28/05/2012 08:07, Rémi Denis-Courmont a écrit :
> I would open a new bug and a comment referencing this one. The root
> cause is probably slightly different now, so reopening would bring
> confusion.
>

Revision history for this message
Doug McMahon (mc3man) wrote :

New bug on 12.10
Bug 1005677

jaby (405436867-t)
affects: gtk+2.0 (Ubuntu) → ubuntu
aruna (sudhaparimala)
Changed in qt4-x11 (Ubuntu):
assignee: nobody → aruna (sudhaparimala)
Changed in qt4-x11 (Ubuntu):
assignee: aruna (sudhaparimala) → nobody
Revision history for this message
Forrest Hopkins (forresthopkinsa) wrote :

Experiencing this problem developing PyQt5 applications, in regards to QTextEdit items. Currently the only fix is to use a non-native style. See here: http://stackoverflow.com/questions/35351024/pyqt5-gtk-critical-ia-gtk-widget-style-get-assertion-gtk-is-widget-widg

Any ideas of how related these issues are?

Revision history for this message
VPablo (villumar) wrote :

Uninstalling overlay-scrollbar package seems to work for me. Thanks.

Displaying first 40 and last 40 comments. View all 124 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers